void nchar(char c, int n){
for(int i = 0; i < n; i++){
printf("%c", c);
}
}

int main(){
int h, w;

printf("введите высоту домика: ");
scanf("%d", &h);
printf("введите ширину домика: ");
scanf("%d", &w);
if(w < 2 || h < 2){
printf("домик для дюймовочки строить не хочется. \n");
return;
}
int left_lines = (w - 2) / 2 + 1;
int iter_kr = left_lines;
int inside = 1;

// рисуется крыша
for(int i = 0; i < iter_kr + 1; i++){
if(i == 0){
nchar('_', left_lines);
printf("X\n");
left_lines--;
} else{
nchar('_', left_lines);
printf("X");
nchar('_', inside);
printf("X\n");
inside += 2;
left_lines--;
}
}
if(w % 2){
nchar('X', w);
} else{
nchar('X', w + 1);
}
printf("\n");

